field_element

## Public Member Functions

| field_element (const space_element &V)
template<class Function >
void | interpolate (const Function &f)
void | interpolate (const field_element &uk)
template<class Value >
Value | evaluate (const point &hat_x) const
template<class Value >
Value | grad_evaluate (const point &hat_x) const
Float | operator() (const point &hat_x) const
size_t | ndof () const
Float | dof (size_t i) const

## Public Attributes

space_element | _V
Eigen::Matrix< Float, Eigen::Dynamic, 1 > | _dof

## Detailed Description

Definition at line 51 of file field_element.h.

## Constructor & Destructor Documentation

## field_element()

field_element | ( | const space_element & | V | ) |

Definition at line 53 of file field_element.h.

## Member Function Documentation

## interpolate() [1/2]

void interpolate | ( | const Function & | f | ) |

Definition at line 59 of file field_element.h.

## interpolate() [2/2]

void interpolate | ( | const field_element & | uk | ) |

Definition at line 109 of file field_element.h.

## evaluate()

Value evaluate | ( | const point & | hat_x | ) | const

Definition at line 66 of file field_element.h.

## grad_evaluate()

Value grad_evaluate | ( | const point & | hat_x | ) | const

Definition at line 78 of file field_element.h.

## operator()()

Float operator() | ( | const point & | hat_x | ) | const

Definition at line 89 of file field_element.h.

## ndof()

size_t ndof | ( |  | ) | const

Definition at line 93 of file field_element.h.

## dof()

Float dof | ( | size_t | i | ) | const

Definition at line 94 of file field_element.h.

## Member Data Documentation

## _V

space_element _V

Definition at line 96 of file field_element.h.

## _dof

Eigen::Matrix<Float,Eigen::Dynamic,1> _dof

Definition at line 97 of file field_element.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/fem/lib/field_element.h